### Method

# GtkSource MarkAttributes get_icon_name

#### Declaration [src]

    const gchar*
    gtk_source_mark_attributes_get_icon_name (
      GtkSourceMarkAttributes* attributes
    )

#### Description [src]

Gets a name of an icon to be used as a base for rendered icon.

Note that the icon name can be `NULL` if it wasn’t set earlier.

Gets property | `GtkSource.MarkAttributes:icon-name`

#### Return value

Type: `const gchar*`

An icon name. The string belongs to `attributes` and should not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.